Subject: bug#7921: 23.2.91; js-mode font lock problem with comments

From: Stefan Monnier <[email-masked]>
Date: Wed, 26 Jan 2011 22:22:19 -0500

> path=/";/ # Everything following and including the last / is string face
> path="; # Everything is fine
> path=//"; # Everything is fine

I've put the above three lines in ~/tmp/foo.js and opened it with
Debian's emacs23 and I don't think I see the problems you describe in
the comments.  OTOH I see other problems of highlighting but they're
largely due to the code itself being meaningless, AFAIK (# is not
a comment marker in javascript, is it?).

        Stefan